> ## Documentation Index
> Fetch the complete documentation index at: https://docs.omneo.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Batch Orders

> A `POST` to the `/orders/batch.json` endpoint allows your application to process orders in batch.



## OpenAPI

````yaml post /v3/orders/batch.json
openapi: 3.1.0
info:
  title: Omneo
  version: 0.0.1
servers:
  - url: https://api.{tenant}.getomneo.com/api
    variables:
      tenant:
        default: example
security: []
paths:
  /v3/orders/batch.json:
    post:
      tags:
        - Order
      summary: Batch Orders
      description: >-
        A `POST` to the `/orders/batch.json` endpoint allows your application to
        process orders in batch.
      operationId: order.batchJson
      requestBody:
        content:
          application/json:
            schema:
              allOf:
                - $ref: '#/components/schemas/BatchOrderJson'
                - type: object
                  properties:
                    import_job_id:
                      type: string
      responses:
        '201':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    const: Queued for processing.
                  batch_id:
                    type: string
                required:
                  - message
                  - batch_id
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '403':
          $ref: '#/components/responses/AuthorizationException'
        '422':
          $ref: '#/components/responses/ValidationException'
components:
  schemas:
    BatchOrderJson:
      type: object
      properties:
        orders:
          type: array
          items:
            type: object
            properties:
              id:
                type:
                  - integer
                  - 'null'
              external_id:
                type:
                  - string
                  - 'null'
              profile_id:
                type:
                  - string
                  - 'null'
              profile_id_handle:
                type:
                  - string
                  - 'null'
              redemption_id:
                type:
                  - integer
                  - 'null'
              location_id:
                type:
                  - string
                  - 'null'
              currency:
                type:
                  - string
                  - 'null'
              total:
                type: number
              total_original:
                type:
                  - number
                  - 'null'
              rounding:
                type:
                  - number
                  - 'null'
              tender:
                type:
                  - string
                  - 'null'
              is_void:
                type:
                  - boolean
                  - 'null'
              margin:
                type:
                  - number
                  - 'null'
              transacted_at:
                type: string
                format: date-time
              timezone:
                type: string
              meta:
                type:
                  - array
                  - 'null'
                items:
                  type: string
              items:
                type: array
                items:
                  type: object
                  properties:
                    external_id:
                      type:
                        - string
                        - 'null'
                    name:
                      type: string
                    price_current:
                      type: number
                    price_sell:
                      type: number
                    price_original:
                      type:
                        - number
                        - 'null'
                    price_margin:
                      type:
                        - number
                        - 'null'
                    discounts:
                      type:
                        - array
                        - 'null'
                      items:
                        type: string
                    sku:
                      type:
                        - string
                        - 'null'
                    department:
                      type:
                        - string
                        - 'null'
                    meta:
                      type:
                        - array
                        - 'null'
                      items:
                        type: string
                    variant_external_id:
                      type:
                        - string
                        - 'null'
                    product_variant_sku:
                      type:
                        - string
                        - 'null'
                    product_variant_id:
                      type:
                        - integer
                        - 'null'
                    product_variant:
                      type:
                        - object
                        - 'null'
                      properties:
                        product_id:
                          type: string
                        sku:
                          type: string
                        title:
                          type: string
                        category:
                          type: string
                        subcategory:
                          type:
                            - string
                            - 'null'
                        brand:
                          type: string
                        price:
                          type: number
                  required:
                    - name
                    - price_current
                    - price_sell
                minItems: 1
              tags:
                type: array
                items:
                  type: string
              systems:
                type: array
                items:
                  type: string
              staff_id:
                type:
                  - string
                  - 'null'
              payments:
                type: array
                items:
                  type: string
              receipt_is_email:
                type:
                  - boolean
                  - 'null'
              receipt_ref:
                type:
                  - string
                  - 'null'
              receipt_email:
                type:
                  - string
                  - 'null'
                format: email
              type:
                type:
                  - string
                  - 'null'
              status:
                type:
                  - string
                  - 'null'
              order_number:
                type:
                  - string
                  - 'null'
              order_id:
                type:
                  - integer
                  - 'null'
              external_order_id:
                type:
                  - string
                  - 'null'
              need_action:
                type:
                  - boolean
                  - 'null'
              custom_fields:
                type: array
                items:
                  type: object
                  properties:
                    namespace:
                      type: string
                    handle:
                      type: string
                    type:
                      type: string
                      enum:
                        - string
                        - integer
                        - float
                        - boolean
                        - json
                        - array
                    value:
                      type: string
                  required:
                    - namespace
                    - handle
                    - type
                    - value
              currency_value:
                type: object
                properties:
                  from:
                    type: string
                  to:
                    type: string
                  rate:
                    type: number
            required:
              - total
              - transacted_at
              - timezone
              - items
          minItems: 1
          maxItems: 500
        items:
          type: array
          items:
            type: object
            properties:
              quantity:
                type: number
            required:
              - quantity
      required:
        - orders
      title: BatchOrderJson
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    AuthorizationException:
      description: Authorization error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ValidationException:
      description: Validation error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Errors overview.
              errors:
                type: object
                description: A detailed description of each field that failed validation.
                additionalProperties:
                  type: array
                  items:
                    type: string
            required:
              - message
              - errors

````